Bug 13156 - don't advertise OLPC caps unless OLPC interfaces are used
Summary: don't advertise OLPC caps unless OLPC interfaces are used
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: gabble (show other bugs)
Version: unspecified
Hardware: Other All
: medium enhancement
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-09 05:02 UTC by Robert McQueen
Modified: 2007-12-13 02:45 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert McQueen 2007-11-09 05:02:44 UTC
Currently the version caps bundle exposed by gabble is huge and has all of the 3-4 OLPC namespaces in, in both their bare and +notify forms, even on clients who have absolutely no interest in OLPC-specific stuff.

I'd like to see the OLPC-specific features moved into an "olpc" bundle, and only enabled if a tp client interacts with the OLPC interfaces in any way. A general-purpose "ensure we have these caps enabled" function which can be sprinkled liberally in the relevant functions would be good, and probably useful for other similar PEP stuff (geolocation, etc).

Additionally, the bare versions (without +notify) of the XMLNS don't appear to be used anywhere, so we can just put the +notify ones in the olpc bundle.
Comment 1 Dafydd Harries 2007-11-09 05:05:32 UTC
Doesn't this mean that, when using OLPC stuff, we'll have more traffic? (Send updated presence node with new bundle, resulting caps disco queries?)

It would be so bad if Gabble trusted capability bundles with the same node/version as itself.
Comment 2 Robert McQueen 2007-11-09 05:09:56 UTC
(In reply to comment #1)
> Doesn't this mean that, when using OLPC stuff, we'll have more traffic? (Send
> updated presence node with new bundle, resulting caps disco queries?)
> 
> It would be so bad if Gabble trusted capability bundles with the same
> node/version as itself.

Gabble does trust versions and bundles which it's aware of, so no, this will not cause any additional traffic. Any Gabble of an appropriate version that sees http://tfo/xmpp/gabble#olpc will know what it means already.
Comment 3 Guillaume Desmottes 2007-12-06 04:57:29 UTC
Proposed fix: http://monkey.collabora.co.uk/telepathy-gabble-gadget/
Comment 4 Guillaume Desmottes 2007-12-07 02:49:57 UTC
I created another branch containing only this fix: http://monkey.collabora.co.uk/telepathy-gabble-olpc-bundle/
Comment 5 Guillaume Desmottes 2007-12-13 02:45:08 UTC
Merged to HEAD.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.